from nose.tools import *
from simplecnn.simple_cnn import SimpleCNN 
from simplecnn.mnist_loader import MNIST
import numpy as np
import re

test_cnn = []
train_data_path = 'C:\\workspace\\MyMachineLearning\\data\\train-images.idx3-ubyte'
train_label_path = 'C:\\workspace\\MyMachineLearning\\data\\train-labels.idx1-ubyte'
test_data_path = 'C:\\workspace\\MyMachineLearning\\data\\t10k-images.idx3-ubyte'
test_label_path = 'C:\\workspace\\MyMachineLearning\\data\\t10k-labels.idx1-ubyte'

def setup():
    global test_cnn
    test_cnn = SimpleCNN(train_data_path, train_label_path, test_data_path, test_label_path, input_dim=28)
    print "SETUP!"

def teardown():
    print "TEAR DOWN!"

def test_dataload():
    mnist = MNIST(train_data_path, train_label_path, test_data_path, test_label_path)
    mnist_img0_str = mnist.print_img0()    # print first image's matrix
    print           # print a new line for beautiful format
    
    simple_cnn_img0_str = test_cnn.print_img0()
    print
    
    # the first image of simple_cnn should be identical to the first image of mnist_loader
    eq_(mnist_img0_str, simple_cnn_img0_str)
    
    

